Start a generation
curl --request POST \
--url https://www.trybloom.ai/api/v1/generations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"brandSessionId": "00000000-0000-4000-8000-000000000001",
"model": "openai/gpt-image-1.5",
"input": {
"prompt": "A forest-green leaf on a warm cream background."
}
}
'import requests
url = "https://www.trybloom.ai/api/v1/generations"
payload = {
"brandSessionId": "00000000-0000-4000-8000-000000000001",
"model": "openai/gpt-image-1.5",
"input": { "prompt": "A forest-green leaf on a warm cream background." }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandSessionId: '00000000-0000-4000-8000-000000000001',
model: 'openai/gpt-image-1.5',
input: {prompt: 'A forest-green leaf on a warm cream background.'}
})
};
fetch('https://www.trybloom.ai/api/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.trybloom.ai/api/v1/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'brandSessionId' => '00000000-0000-4000-8000-000000000001',
'model' => 'openai/gpt-image-1.5',
'input' => [
'prompt' => 'A forest-green leaf on a warm cream background.'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.trybloom.ai/api/v1/generations"
payload := strings.NewReader("{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.trybloom.ai/api/v1/generations")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.trybloom.ai/api/v1/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending"
}
}{
"error": {
"code": "INVALID_INPUT",
"status": 400,
"message": "Invalid generation input",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "MODEL_NOT_FOUND",
"status": 404,
"message": "Generation model not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "CATALOG_UNAVAILABLE",
"status": 503,
"message": "Could not load generation models",
"data": "<unknown>"
}
}Generations
Start a generation
Start a generation with a model you choose.
POST
/
generations
Start a generation
curl --request POST \
--url https://www.trybloom.ai/api/v1/generations \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"brandSessionId": "00000000-0000-4000-8000-000000000001",
"model": "openai/gpt-image-1.5",
"input": {
"prompt": "A forest-green leaf on a warm cream background."
}
}
'import requests
url = "https://www.trybloom.ai/api/v1/generations"
payload = {
"brandSessionId": "00000000-0000-4000-8000-000000000001",
"model": "openai/gpt-image-1.5",
"input": { "prompt": "A forest-green leaf on a warm cream background." }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandSessionId: '00000000-0000-4000-8000-000000000001',
model: 'openai/gpt-image-1.5',
input: {prompt: 'A forest-green leaf on a warm cream background.'}
})
};
fetch('https://www.trybloom.ai/api/v1/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.trybloom.ai/api/v1/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'brandSessionId' => '00000000-0000-4000-8000-000000000001',
'model' => 'openai/gpt-image-1.5',
'input' => [
'prompt' => 'A forest-green leaf on a warm cream background.'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.trybloom.ai/api/v1/generations"
payload := strings.NewReader("{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.trybloom.ai/api/v1/generations")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.trybloom.ai/api/v1/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"brandSessionId\": \"00000000-0000-4000-8000-000000000001\",\n \"model\": \"openai/gpt-image-1.5\",\n \"input\": {\n \"prompt\": \"A forest-green leaf on a warm cream background.\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending"
}
}{
"error": {
"code": "INVALID_INPUT",
"status": 400,
"message": "Invalid generation input",
"data": "<unknown>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": 401,
"message": "Invalid or missing API credentials",
"data": "<unknown>"
}
}{
"error": {
"code": "ACCOUNT_BANNED",
"status": 403,
"message": "This account has been suspended.",
"data": "<unknown>"
}
}{
"error": {
"code": "MODEL_NOT_FOUND",
"status": 404,
"message": "Generation model not found",
"data": "<unknown>"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": "<unknown>"
}
}{
"error": {
"code": "CATALOG_UNAVAILABLE",
"status": 503,
"message": "Could not load generation models",
"data": "<unknown>"
}
}This feature is in beta. During beta, endpoint schemas and behavior may change or be removed.
Authorizations
apiKeybearer
Bloom API key, for example x-api-key: bloom_sk_....
Body
application/json
Brand ID for this request. Brand guidance is not added automatically.
Exact model ID returned by GET /models.
Minimum string length:
1Input matching the model's inputSchema. Include relevant brand guidance here.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?